"use strict";

this.name    = "display_reputations";
this.version = "1.3";

this.startUp = this.shipExitedWitchspace = this.reportScreenEnded = function () {
    this._setReputations();
}

this._setReputations = function () {
    var title = expandMissionText("display_reputation_title_word");
    if (player.passengerReputation >= 0) {
        var passenger = expandMissionText("display_reputation_passenger_" + player.passengerReputation);
    } else {
        var passenger = expandMissionText("display_reputation_passenger_minus");
    }
    if (player.contractReputation >= 0) {
        var contract = expandMissionText("display_reputation_contract_" + player.contractReputation);
    } else {
        var contract = expandMissionText("display_reputation_contract_minus");
    }
    if (player.parcelReputation >= 0) {
        var parcel = expandMissionText("display_reputation_parcel_" + player.parcelReputation);
    } else {
        var parcel = expandMissionText("display_reputation_parcel_minus");
    }
    mission.setInstructions([title, passenger, parcel, contract]);
}
